"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getGCAQZT = exports.getData = void 0;
const gcaqztData_1 = require("../data/table/gcaqztData");
const inFrontOut_1 = require("../dataPackage/inFrontOut");
const out_1 = require("../dataPackage/out");
/*                            工程 安全状态                    */
function getData(req, res) {
    let excelData = gcaqztData_1.gcaqztTableData();
    let ret = {};
    let gcaqztPackageData = inFrontOut_1.onceYBarChartPackage(excelData['工程安全状态'], '', '');
    ret['gcaqzt'] = out_1.getOnceYBarChartOut('工程安全状态', gcaqztPackageData);
    res.send(ret);
}
exports.getData = getData;
function getGCAQZT(req, res) {
    let line = req.query.line || "全部";
    let excelData = gcaqztData_1.gcaqztTableDataV();
    let ret = {};
    let zmxfxfbTableDataList = inFrontOut_1.tablePackage(excelData["工程安全状态"].headerList[0], excelData["工程安全状态"].bodyList);
    let 安全 = [];
    let 风险可控 = [];
    let 重点关注 = [];
    let aqkj = 0;
    let aqqj = 0;
    let aqptd = 0;
    let fxkj = 0;
    let fxqj = 0;
    let fxptd = 0;
    let zdgzkj = 0;
    let zdgzqj = 0;
    let zdgzptd = 0;
    zmxfxfbTableDataList.dataList.forEach(info => {
        let { A, B, C, D, E } = info;
        if (B == line) {
            switch (A) {
                case "安全":
                    安全.push({ key: "基坑", value: C }, { key: "区间", value: D }, { key: "旁通道", value: E });
                    break;
                case "风险可控":
                    风险可控.push({ key: "基坑", value: C }, { key: "区间", value: D }, { key: "旁通道", value: E });
                    break;
                case "重点关注":
                    重点关注.push({ key: "基坑", value: C }, { key: "区间", value: D }, { key: "旁通道", value: E });
                    break;
            }
        }
        else if (line == "全部") {
            switch (A) {
                case "安全":
                    aqkj = parseInt(C) + aqkj;
                    aqqj = parseInt(D) + aqqj;
                    aqptd = parseInt(E) + aqptd;
                    安全 = [{ key: "基坑", value: aqkj }, { key: "区间", value: aqqj }, { key: "旁通道", value: aqptd }];
                    break;
                case "风险可控":
                    fxkj = parseInt(C) + fxkj;
                    fxqj = parseInt(D) + fxqj;
                    fxptd = parseInt(E) + fxptd;
                    风险可控 = [{ key: "基坑", value: fxkj }, { key: "区间", value: fxqj }, { key: "旁通道", value: fxptd }];
                    break;
                case "重点关注":
                    zdgzkj = parseInt(C) + zdgzkj;
                    zdgzqj = parseInt(D) + zdgzqj;
                    zdgzptd = parseInt(E) + zdgzptd;
                    重点关注 = [{ key: "基坑", value: zdgzkj }, { key: "区间", value: zdgzqj }, { key: "旁通道", value: zdgzptd }];
                    break;
            }
        }
    });
    let gcaqztPackageData = { dataInfo: { "安全": 安全, "风险可控": 风险可控, "重点关注": 重点关注 }, xUnit: "", yUnit: "" };
    ret['gcaqzt'] = out_1.getOnceYBarChartOut('工程安全状态', gcaqztPackageData);
    res.send(ret);
}
exports.getGCAQZT = getGCAQZT;
//# sourceMappingURL=gcaqzt.js.map