"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getXXJD = exports.getData = void 0;
const xxjdData_1 = require("../data/table/xxjdData");
const inFrontOut_1 = require("../dataPackage/inFrontOut");
const out_1 = require("../dataPackage/out");
/*                            形象进度                    */
function getData(req, res) {
    let excelData = xxjdData_1.xxjdTableData();
    let ret = {};
    let czzsPackageData = inFrontOut_1.keyValuePackage(excelData['车站总数'].dataList);
    ret['czzs'] = out_1.getKeyValueOut('车站总数', czzsPackageData);
    let czxxsjPackageData = inFrontOut_1.keyValuePackage(excelData['车站详细数据'].dataList);
    let sgjd = getJd(czxxsjPackageData, "车站正在施工数进度");
    let fdjd = getJd(czxxsjPackageData, "车站结构封顶数进度");
    let czxxjd = [sgjd, fdjd];
    ret['czxxsj'] = { title: '车站详细数据', dataList: czxxjd };
    let dgjgztsPackageData = inFrontOut_1.keyValuePackage(excelData['盾构机工作台数'].dataList);
    ret['dgjgzts'] = out_1.getKeyValueOut('盾构机工作台数', dgjgztsPackageData);
    let dgjxxsjPackageData = inFrontOut_1.keyValuePackage(excelData['盾构机详细数据'].dataList);
    let dgjjd = [getJd(dgjxxsjPackageData, "盾构机推进里程数进度")];
    ret['dgjxxsj'] = { title: '盾构机详细数据', dataList: dgjjd };
    let ptdzsPackageData = inFrontOut_1.keyValuePackage(excelData['旁通道总数'].dataList);
    ret['ptdzs'] = out_1.getKeyValueOut('旁通道总数', ptdzsPackageData);
    let ptdxxsjPackageData = inFrontOut_1.keyValuePackage(excelData['旁通道详细数据'].dataList);
    let sgsjd = getJd(ptdxxsjPackageData, "旁通道正在施工数进度");
    let wcsjd = getJd(ptdxxsjPackageData, "旁通道完成数进度");
    let ptdjd = [sgsjd, wcsjd];
    ret['ptdxxsj'] = { title: '旁通道详细数据', dataList: ptdjd };
    res.send(ret);
}
exports.getData = getData;
function getXXJD(req, res) {
    let line = req.query.line || -1;
    let excelData = xxjdData_1.xxjdTableDataV();
    let ret = {};
    let xxjdsjTableDataList = inFrontOut_1.tablePackage(excelData["形象进度数据"].headerList[0], excelData["形象进度数据"].bodyList);
    let 车站总数 = [];
    let 盾构机总数 = [];
    let 旁通道总数 = [];
    let czzs = 0;
    let dgjzs = 0;
    let ptdzs = 0;
    xxjdsjTableDataList.dataList.forEach(info => {
        let { A, B, C, D } = info;
        if (A == line) {
            车站总数.push({ key: "车站总数", value: B });
            盾构机总数.push({ key: "盾构机工作台数", value: C });
            旁通道总数.push({ key: "旁通道总数", value: D });
        }
        else if (line == "全部") {
            czzs = parseInt(B) + czzs;
            dgjzs = parseInt(C) + dgjzs;
            ptdzs = parseInt(D) + ptdzs;
            车站总数 = [{ key: "车站总数", value: czzs }];
            盾构机总数 = [{ key: "盾构机工作台数", value: dgjzs }];
            旁通道总数 = [{ key: "旁通道总数", value: ptdzs }];
        }
    });
    let czzsPackageData = inFrontOut_1.keyValuePackage(车站总数);
    ret['czzs'] = out_1.getKeyValueOut('车站总数', czzsPackageData);
    let dgjzsPackageData = inFrontOut_1.keyValuePackage(盾构机总数);
    ret['dgjgzts'] = out_1.getKeyValueOut('盾构机总数', dgjzsPackageData);
    let ptdzsPackageData = inFrontOut_1.keyValuePackage(旁通道总数);
    ret['ptdzs'] = out_1.getKeyValueOut('旁通道总数', ptdzsPackageData);
    let xxjdxxsjTableDataList = inFrontOut_1.tablePackage(excelData["形象进度详细数据"].headerList[0], excelData["形象进度详细数据"].bodyList);
    let 车站 = [];
    let 盾构机 = [];
    let 旁通道 = [];
    let czxx = 0;
    let dgjxx = 0;
    let ptdxx = 0;
    let czjd = 0;
    let dgjxxjd = 0;
    let ptdxxjd = 0;
    xxjdxxsjTableDataList.dataList.forEach(info => {
        let { A, B, C, D, E } = info;
        if (A == line) {
            switch (B) {
                case '车站':
                    车站.push({ key: C, value: D }, { key: C + "进度", value: E });
                    break;
                case '盾构机':
                    盾构机.push({ key: C, value: D }, { key: C + "进度", value: E });
                    break;
                case '旁通道':
                    旁通道.push({ key: C, value: D }, { key: C + "进度", value: E });
                    break;
            }
        }
        else if (line == -1) {
            switch (B) {
                case '车站':
                    czxx = parseInt(D) + czxx;
                    czjd = parseInt(E) + czjd;
                    车站 = [{ key: C, value: czxx }, { key: C + "进度", value: czjd }];
                    break;
                case '盾构机':
                    dgjxx = parseInt(D) + dgjxx;
                    dgjxxjd = parseInt(E) + dgjxxjd;
                    盾构机 = [{ key: C, value: dgjxx }, { key: C + "进度", value: dgjxxjd }];
                    break;
                case '旁通道':
                    ptdxx = parseInt(D) + ptdxx;
                    ptdxxjd = parseInt(E) + ptdxxjd;
                    旁通道 = [{ key: C, value: ptdxx }, { key: C + "进度", value: ptdxxjd }];
                    break;
            }
        }
    });
    let czxxsjPackageData = inFrontOut_1.keyValuePackage(车站);
    ret['czxxsj'] = { title: '车站详细数据', dataList: czxxsjPackageData };
    let dgjxxsjPackageData = inFrontOut_1.keyValuePackage(盾构机);
    ret['dgjxxsj'] = { title: '盾构机详细数据', dataList: dgjxxsjPackageData };
    let ptdxxsjPackageData = inFrontOut_1.keyValuePackage(旁通道);
    ret['ptdxxsj'] = { title: '旁通道详细数据', dataList: ptdxxsjPackageData };
    res.send(ret);
}
exports.getXXJD = getXXJD;
function getJd(packageData, title) {
    let result;
    for (let i = 0; i < packageData.length; i++) {
        let { key, value, unit } = packageData[i];
        if (key == title) {
            packageData[i - 1]["progress"] = value;
            result = packageData[i - 1];
        }
    }
    return result;
}
//# sourceMappingURL=xxjd.js.map