
import { jhjdTableData, jhjdTableDataV } from '../data/table/jhjdData';
import { doubleYBarCharPackage, keyValuePackage, onceYBarChartPackage, rankPackage, tablePackage } from '../dataPackage/inFrontOut';
import { getDoubleYBarChartOut, getKeyValueOut, getOnceYBarChartOut, getTableOut } from '../dataPackage/out';
import * as jhjdBiz from '../biz/jhjd';
/*                            计划进度                    */

export function getData(req, res) {
    let excelData = jhjdTableData();

    let ret:any = {};

    let zjblPackageData = keyValuePackage(excelData['证件办理'].dataList);
    let zjblJd = [];
    zjblPackageData[0]["progress"] = zjblPackageData[1].value;
    zjblJd.push(zjblPackageData[0]);
    ret['zjbl'] = {title: "证件办理", dataList: zjblJd};
                    
    let zjblxxxlPackageData = keyValuePackage(excelData['证件办理详细线路'].dataList);
    ret['zjblxxxl'] = getKeyValueOut('证件办理详细线路', zjblxxxlPackageData);

    let dqPackageData = keyValuePackage(excelData['动迁'].dataList);
    let dqJd = [];
    dqPackageData[0]["progress"] = dqPackageData[1].value;
    dqJd.push(dqPackageData[0]);
    ret['dq'] = {title: "动迁", dataList: dqJd};
                    
    let dqxxxlPackageData = keyValuePackage(excelData['动迁详细线路'].dataList);
    ret['dqxxxl'] = getKeyValueOut('动迁详细线路', dqxxxlPackageData);
                    
    let yjPackageData = keyValuePackage(excelData['移交'].dataList);
    let yjJd = [];
    yjPackageData[0]["progress"] = yjPackageData[1].value;
    yjJd.push(yjPackageData[0]);
    ret['yj'] = {title: "移交", dataList: yjJd};
                    
    let yjxxxlPackageData = keyValuePackage(excelData['移交详细线路'].dataList);
    ret['yjxxxl'] = getKeyValueOut('移交详细线路', yjxxxlPackageData);
                     
    res.send(ret);
}

export function getJHJD(req, res) {
    let line = req.query.line || "全部";
    let excelData = jhjdTableDataV();

    let ret:any = {};

    let jhjdsjTableDataList = tablePackage(excelData["计划进度数据"].headerList[0], excelData["计划进度数据"].bodyList);
    let 证件办理 = [];
    let 动迁 = [];
    let 移交 = [];

    let zjbl = 0;
    let dq = 0;
    let yj = 0;

    let zjbljd = 0;
    let dqjd = 0;
    let yjjd = 0;

    let len = jhjdsjTableDataList.dataList.length;
    jhjdsjTableDataList.dataList.forEach( info => {
        let {A, B, C, D, E, F, G} = info;
        if (A == line) {
            证件办理.push( {key: "证件办理", value: B}, {key: "证件办理进度", value: C} );
            动迁.push( {key: "动迁", value: D}, {key: "动迁进度", value: E} );
            移交.push( {key: "移交", value: F}, {key: "移交进度", value: G} );
        } else if (line == "全部") {
            zjbl = parseInt(B) + zjbl;
            dq = parseInt(D) + dq;
            yj = parseInt(F) + yj;

            zjbljd = parseInt(C) + zjbljd;
            dqjd = parseInt(E) + dqjd;
            yjjd = parseInt(G) + yjjd;
            证件办理 = [{key: "证件办理", value: zjbl}, {key: "证件办理进度", value: zjbljd/len}];
            动迁 = [{key: "动迁", value: dq}, {key: "动迁进度", value: dqjd/len}];
            移交 = [{key: "移交", value: yj}, {key: "移交进度", value: yjjd/len}];
        }
    })

    let zjblPackageData = keyValuePackage(证件办理);

    let zjblJd = getXxsj(zjblPackageData);
    ret['zjbl'] = {title: "证件办理", dataList: zjblJd};

    let dqPackageData = keyValuePackage(动迁);
    let dqJd = getXxsj(dqPackageData);
    ret['dq'] = {title: "动迁", dataList: dqJd};

    let yjPackageData = keyValuePackage(移交);
    let yjJd = getXxsj(yjPackageData);
    ret['yj'] = {title: "移交", dataList: yjJd};

    let jhjdxxsjTableDataList = tablePackage(excelData["计划进度详细数据"].headerList[0], excelData["计划进度详细数据"].bodyList);
    let 证件办理详细 = [];
    let 动迁详细 = [];
    let 移交详细 = [];

    jhjdxxsjTableDataList.dataList.forEach( info => {
        let {A, B, C, D} = info;
        if (A == line) {
            switch (B) {
                case '证件办理':
                    证件办理详细.push( {key: C, value: D} );
                break;
                case '动迁':
                    动迁详细.push( {key: C, value: D} );
                break;
                case '移交':
                    移交详细.push( {key: C, value: D} );
                break;
            }
        } else if (line == "全部") {
            switch (B) {
                case '证件办理':
                    证件办理详细.push( {key: C, value: D} );
                break;
                case '动迁':
                    动迁详细.push( {key: C, value: D} );
                break;
                case '移交':
                    移交详细.push( {key: C, value: D} );
                break;
            }
        }
    })

    let zjblxxPackageData = keyValuePackage(证件办理详细);
    ret['zjblxxxl'] = getKeyValueOut('证件办理详细线路', zjblxxPackageData);

    let dqxxxlPackageData = keyValuePackage(动迁详细);
    ret['dqxxxl'] = getKeyValueOut('动迁详细线路', dqxxxlPackageData);

    let yjxxxlPackageData = keyValuePackage(移交详细);
    ret['yjxxxl'] = getKeyValueOut('移交详细线路', yjxxxlPackageData);

    res.send(ret);
}

function getXxsj(packageData) {
    let result = [];
    packageData[0]["progress"] = packageData[1].value;
    result.push(packageData[0]);
    return result;
}