
import { zmxfxfbTableData, zmxfxfbTableDataV } from '../data/table/zmxfxfbData';
import { doubleYBarCharPackage, keyValuePackage, onceYBarChartPackage, rankPackage, tablePackage } from '../dataPackage/inFrontOut';
import { getDoubleYBarChartOut, getKeyValueOut, getOnceYBarChartOut, getTableOut } from '../dataPackage/out';

/*                            致命性风险分布                    */

export function getData(req, res) {
    let excelData = zmxfxfbTableData();

    let ret:any = {};

    let zmxfxfbPackageData = onceYBarChartPackage( excelData['致命性风险分布'], '','');
    ret['zmxfxfb'] = getOnceYBarChartOut('致命性风险分布', zmxfxfbPackageData);
                     
    res.send(ret);
}

export function getZMXFXFB(req, res) {
    let line = req.query.line || -1;
    let excelData = zmxfxfbTableDataV();

    let ret:any = {};

    let zmxfxfbTableDataList = tablePackage(excelData["致命性风险分布"].headerList[0], excelData["致命性风险分布"].bodyList);
    let jk = 0;
    let qj = 0;
    let ptd = 0;
    let 全网 = [];
    let 致命性风险 = [];
    zmxfxfbTableDataList.dataList.forEach( info => {
        let {A, B, C, D} = info;
        if (A != "全网") {
            if (A == line) {
                致命性风险 = [{key: "基坑", value: B}, {key: "区间", value: C}, {key: "旁通道", value: D}];
            } else if (line == -1) {
                jk += parseInt(B);
                qj += parseInt(C);
                ptd += parseInt(D); 
                致命性风险 = [{key: "基坑", value: jk}, {key: "区间", value: qj}, {key: "旁通道", value: ptd}];
            }
        } else {
            全网.push( {key: "基坑", value: B}, {key: "区间", value: C}, {key: "旁通道", value: D} );
        }

        let  zmxfxfbPackageData = {dataInfo: {"全网": 全网, "致命性风险": 致命性风险}, xUnit: "", yUnit: ""};
        ret['zmxfxfb'] = getOnceYBarChartOut('致命性风险分布', zmxfxfbPackageData);


    })      
    res.send(ret);
}